Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_MEMORYHelper

    java.lang.Object
      |
      +--org.omg.CORBA.NO_MEMORYHelper

public class NO_MEMORYHelper
extends java.lang.Object

Helper class for : NO_MEMORY

Author:
  OpenORB Compiler

Constructor Summary
`NO_MEMORYHelper()`

Method Summary
`static NO_MEMORY` | `extract(Any a)` Extract NO_MEMORY from an any
`static java.lang.String` | `id()` Return the NO_MEMORY IDL ID
`static void` | `insert(Any a, NO_MEMORY t)` Insert NO_MEMORY into an any
`static NO_MEMORY` | `read(InputStream istream)` Read NO_MEMORY from a marshalled stream
`static TypeCode` | `type()` Return the NO_MEMORY TypeCode
`static void` | `write(OutputStream ostream, NO_MEMORY value)` Write NO_MEMORY into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NO_MEMORYHelper

    public NO_MEMORYHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NO_MEMORY t)

  Insert NO_MEMORY into an any
  Parameters:
    `a` - an any
    `t` - NO_MEMORY value

### extract

    public static NO_MEMORY extract(Any a)

  Extract NO_MEMORY from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NO_MEMORY value

### type

    public static TypeCode type()

  Return the NO_MEMORY TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NO_MEMORY IDL ID
  Returns:
    an ID

### read

    public static NO_MEMORY read(InputStream istream)

  Read NO_MEMORY from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NO_MEMORY value

### write

    public static void write(OutputStream ostream,
                             NO_MEMORY value)

  Write NO_MEMORY into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NO_MEMORY value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD